#!/bin/bash
 
#scheduledreporting component sanity check

function zipit() {
	:
}

#~ Include general library (should go in all sanity scripts.)
if [ ! -f /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh ];then
    echo "Sanity Checks Component not installed"
    exit 1
else 
    . /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh
fi

do_these_files_exist $COMPONENTS/scheduledreporting/scheduledreporting.inc.php \
	$COMPONENTS/scheduledreporting/schedulereport.php \
	$COMPONENTS/scheduledreporting/sendreport.php

is_component $COMPONENTS/scheduledreporting/scheduledreporting.inc.php

is_protected $COMPONENTS/scheduledreporting/sendreport.php

is_protected $COMPONENTS/scheduledreporting/schedulereport.php
	

print_results
